Canonicalize the locale string

- « Locale::acceptFromHttp

- Locale::composeLocale »

- PHP Manual
- Locale
- Canonicalize the locale string

# Locale::canonicalize

# locale_canonicalize

(PHP 5 >= 5.3.0, PHP 7, PHP 8, PECL intl >= 1.0.0)

Locale::canonicalize -- locale_canonicalize — Canonicalize the locale string

### Description

public static Locale::canonicalize(string `$locale`): ?string

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`locale`

### Return Values

Canonicalized locale string.

Returns `null` when the length of `locale` exceeds `INTL_MAX_LOCALE_LEN`.